# Generated by Django 3.0.2 on 2020-01-20 11:00

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Printer',
            fields=[
                ('name', models.CharField(max_length=255)),
                ('api_key', models.CharField(max_length=255, primary_key=True, serialize=False)),
                ('check_type', models.CharField(choices=[('kitchen', 'Кухня'), ('client', 'Клиент')], max_length=7)),
                ('point_id', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Check',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('type', models.CharField(choices=[('kitchen', 'Кухня'), ('client', 'Клиент')], max_length=7)),
                ('order', django.contrib.postgres.fields.jsonb.JSONField()),
                ('status', models.CharField(choices=[('new', 'Новый'), ('rendered', 'Готов к печати'), ('printed', 'Напечатанный')], default='new', max_length=8)),
                ('pdf_file', models.FileField(blank=True, null=True, upload_to='media/pdf/')),
                ('printer_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='manager.Printer')),
            ],
        ),
    ]
